﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GridGroupByIssu
{
    public class Info
    {
        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private object _value;

        public object Value
        {
            get { return _value; }
            set { _value = value; }
        }

        public Info(string name, object value)
        {
            _name = name;
            _value = value;
        }
    }

    public class InfoList : List<Info>
    {

    }

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InfoList list = new InfoList();
            list.Add(new Info("info1", "value1"));
            list.Add(new Info("info2", new double()));
            list.Add(new Info("info3", new int()));

            ultraGrid1.DisplayLayout.Override.AllowGroupBy = Infragistics.Win.DefaultableBoolean.True;
            ultraGrid1.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            ultraGrid1.DisplayLayout.GroupByBox.Style = Infragistics.Win.UltraWinGrid.GroupByBoxStyle.Full;
           

            ultraGrid1.DataSource = list;


        }
    }
}
